Bug 145610 - The numbering of numbered list doesn't show when changing bulleted for numbered list
Summary: The numbering of numbered list doesn't show when changing bulleted for number...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.3.0 target:7.2.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-11-10 09:35 UTC by Telesto
Modified: 2021-12-06 13:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2021-11-10 09:35:40 UTC
Description:
The numbering of numbered list doesn't show when changing bulleted for numbered list

Steps to Reproduce:
1. Open Writer
2. Drop down bulleted list -> Select bulleted list type (you need to pick from the drop down; not simply toggling bulleted on)
3. Click on the drop down for numbered list. Pick the top left entry

Actual Results:
Document shows )

Expected Results:
1)


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.3.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 73334560b2dd2d60ac58d2cc2b1a5295490b03e1
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2021-11-10 09:37:18 UTC
No issue with
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 47fda617fc4dad8273919227ca45ea3b8b61aea1
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: nl-NL
Calc: CL
Comment 2 raal 2021-11-10 22:16:00 UTC
Confirm with Version: 7.3.0.0.alpha1+ / LibreOffice Community
Build ID: a14b783bbe8eda32b4b79530d85ffc48b6ed0305
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded
Comment 3 raal 2021-11-10 22:23:18 UTC
This seems to have begun at the below commit.
Adding Cc: to Vasily Melenchuk; Could you possibly take a look at this one?
Thanks
 ece145a9256e41b9eab649aeacf536f7e547b894 is the first bad commit
commit ece145a9256e41b9eab649aeacf536f7e547b894
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Mon Oct 4 15:37:10 2021 +0200

    source e6bf21d2d5efb231c877eb985997b28033198600

https://git.libreoffice.org/core/+/e6bf21d2d5efb231c877eb985997b28033198600
   tdf#144578: numbering: generate include upper levels for UI
Comment 4 Commit Notification 2021-11-13 09:00:02 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a4485bd8e03ad4487fe47a4480a9aacfbaf61980

tdf#145610: lists should not have includeUpperLevels < 1

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-11-15 17:25:15 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/6b4b57286644174351e5d77e8a6ef46e37d5f832

tdf#145610: lists should not have includeUpperLevels < 1

It will be available in 7.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Christian Lohmaier 2021-12-06 13:28:48 UTC
7.2.4 was a hotfix release, updating target in status-whiteboard